## password-store 1.4.2

=== Makefile ===
PREFIX ?= /usr
DESTDIR ?=
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man
SYSCONFDIR ?= /etc

PLATFORMFILE := src/platform/$(shell uname | tr '[:upper:]' '[:lower:]').sh

.PHONY: install uninstall install-platform

all:
	@echo "Password store is a shell script, so there is nothing to do. Try \"make install\" instead."

install:
	@mkdir -p "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(LIBDIR)" "$(DESTDIR)$(MANDIR)/man1" "$(DESTDIR)$(SYSCONFDIR)/bash_completion.d"
	@install -m 0755 -v src/password-store.sh "$(DESTDIR)$(BINDIR)/pass"
	@install -m 0644 -v man/pass.1 "$(DESTDIR)$(MANDIR)/man1/pass.1"
	@install -m 0644 -v contrib/pass.bash-completion "$(DESTDIR)$(SYSCONFDIR)/bash_completion.d/password-store"

#	Uncomment to install the zsh completion file.
#	@install -m 0644 -v contrib/pass.zsh-completion "$(DESTDIR)$(PREFIX)/share/zsh/site-functions/_pass"
#
#	Uncomment to install the fish completion file.
#	@install -m 0644 -v contrib/pass.fish-completion "$(DESTDIR)$(PREFIX)/share/fish/completions/pass.fish"

	@$(MAKE) -s install-platform

ifneq ($(strip $(wildcard $(PLATFORMFILE))),)
install-platform:
	@install -m 0644 -v "$(PLATFORMFILE)" "$(DESTDIR)$(LIBDIR)/password-store.platform.sh"
#	The -i "" doesn't work on GNU, where the extra argument isn't needed. Fortuantely, platform file is for non-GNU only.
	sed -i "" 's:.*platform-defined-functions.*:source $(DESTDIR)$(LIBDIR)/password-store.platform.sh:' "$(DESTDIR)$(BINDIR)/pass"
else
install-platform:
endif

uninstall:
	@rm -vf "$(DESTDIR)$(BINDIR)/pass" "$(DESTDIR)$(MANDIR)/man1/pass.1" "$(DESTDIR)$(SYSCONFDIR)/bash_completion.d/password-store" "$(DESTDIR)$(LIBDIR)/password-store.platform.sh"

## password-store 1.4

=== debian/changelog ===
password-store (1.4-2) unstable; urgency=low

  * Recommend git rather than git-core (closes: #689688).

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Oct 2012 08:06:57 +0100

password-store (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Sep 2012 11:38:19 +0100

password-store (1.3-1) unstable; urgency=low

  [ Jason A. Donenfeld ]
  * Initial release (closes: #686903, LP: #1047122).

  [ Colin Watson ]
  * Change source package name to "password-store" to match the upstream git
    repository and tarball.  Binary name remains "pass" to match the program
    name.
  * Take over as package maintainer.
  * Build-depend on a sufficient version of debhelper.
  * Add Upstream-Contact to debian/copyright.
  * Policy version 3.9.3: no changes required.
  * Add ${misc:Depends}.
  * Improve layout of package description.
  * xclip is not a hard dependency, and is only used by the -c/--clip
    option.  Demote it to Recommends.
  * git-core is not a hard dependency; it is used by some subcommands, but
    pass can also work well without it.  Demote it to Recommends.
  * Add a Homepage field.
  * Add a watch file.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Sep 2012 14:15:15 +0100

=== debian/control ===
Source: password-store
Maintainer: Colin Watson <cjwatson@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~)
Homepage: http://zx2c4.com/projects/password-store/

Package: pass
Architecture: all
Depends: ${misc:Depends}, pwgen, gnupg, tree
Recommends: git, xclip
Description: lightweight directory-based password manager
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg, pwgen, and git.

## password-store 1.4.2

=== debian/changelog ===
password-store (1.4.2-3) unstable; urgency=medium

  * Add Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2014 08:36:43 +0000

password-store (1.4.2-2) unstable; urgency=medium

  * Use editor(1) rather than vi(1) if EDITOR is unset (closes: #722254).
  * Support gpg as an alternative to gpg2 (thanks, Helmut Grohne; closes:
    #701845).
  * Write to both CLIPBOARD and PRIMARY selection, using xsel(1) which,
    unlike xclip, is able to keep the latter in memory (thanks, Thorsten
    Glaser; closes: #725653).
  * Install zsh completion file (closes: #733121).

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Jan 2014 00:57:51 +0000

password-store (1.4.2-1) unstable; urgency=low

  * New upstream release (closes: #694772).
    - On insert, no-echo mode is now default, with the --echo mode to turn
      on echoing of passwords (closes: #689276).
  * Package the various importers from contrib/, currently placed in
    /usr/share/pass/ with their extensions from the upstream tarball, with
    Suggests for their dependencies; this may change if upstream decides to
    start installing them by default.

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 Nov 2012 12:19:18 +0000

=== debian/control ===
Source: password-store
Maintainer: Colin Watson <cjwatson@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7.0.50~)
Homepage: http://zx2c4.com/projects/password-store/
Vcs-Git: git://anonscm.debian.org/collab-maint/password-store.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/password-store.git

Package: pass
Architecture: all
Depends: ${misc:Depends}, pwgen, gnupg2 | gnupg, tree
Recommends: gnupg2, git, xsel
Suggests: perl, libxml-simple-perl, python, ruby
Description: lightweight directory-based password manager
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg, pwgen, and git.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/pass PREFIX=/usr install

=== debian/watch ===
version=3
http://zx2c4.com/projects/password-store/ .*/password-store-([\d.]+).tar.xz

## password-store 1.6.3

=== Makefile ===
PREFIX ?= /usr
DESTDIR ?=
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

PLATFORMFILE := src/platform/$(shell uname | cut -d _ -f 1 | tr '[:upper:]' '[:lower:]').sh

BASHCOMP_PATH ?= $(DESTDIR)$(PREFIX)/share/bash-completion/completions
ZSHCOMP_PATH ?= $(DESTDIR)$(PREFIX)/share/zsh/site-functions
FISHCOMP_PATH ?= $(DESTDIR)$(PREFIX)/share/fish/completions

ifeq ($(FORCE_ALL),1)
FORCE_BASHCOMP := 1
FORCE_ZSHCOMP := 1
FORCE_FISHCOMP := 1
endif
ifneq ($(strip $(wildcard $(BASHCOMP_PATH))),)
FORCE_BASHCOMP := 1
endif
ifneq ($(strip $(wildcard $(ZSHCOMP_PATH))),)
FORCE_ZSHCOMP := 1
endif
ifneq ($(strip $(wildcard $(FISHCOMP_PATH))),)
FORCE_FISHCOMP := 1
endif

all:
	@echo "Password store is a shell script, so there is nothing to do. Try \"make install\" instead."

install-common:
	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v man/pass.1 "$(DESTDIR)$(MANDIR)/man1/pass.1"

	@[ "$(FORCE_BASHCOMP)" = "1" ] && install -v -d "$(BASHCOMP_PATH)" && install -m 0644 -v src/completion/pass.bash-completion "$(BASHCOMP_PATH)/pass" || true
	@[ "$(FORCE_ZSHCOMP)" = "1" ] && install -v -d "$(ZSHCOMP_PATH)" && install -m 0644 -v src/completion/pass.zsh-completion "$(ZSHCOMP_PATH)/_pass" || true
	@[ "$(FORCE_FISHCOMP)" = "1" ] && install -v -d "$(FISHCOMP_PATH)" && install -m 0644 -v src/completion/pass.fish-completion "$(FISHCOMP_PATH)/pass.fish" || true


ifneq ($(strip $(wildcard $(PLATFORMFILE))),)
install: install-common
	@install -v -d "$(DESTDIR)$(LIBDIR)/password-store" && install -m 0644 -v "$(PLATFORMFILE)" "$(DESTDIR)$(LIBDIR)/password-store/platform.sh"
	@install -v -d "$(DESTDIR)$(BINDIR)/"
	sed 's:.*PLATFORM_FUNCTION_FILE.*:source "$(DESTDIR)$(LIBDIR)/password-store/platform.sh":' src/password-store.sh > "$(DESTDIR)$(BINDIR)/pass"
	@chmod 0755 "$(DESTDIR)$(BINDIR)/pass"
else
install: install-common
	@install -v -d "$(DESTDIR)$(BINDIR)/"
	sed '/PLATFORM_FUNCTION_FILE/d' src/password-store.sh > "$(DESTDIR)$(BINDIR)/pass"
	@chmod 0755 "$(DESTDIR)$(BINDIR)/pass"
endif

uninstall:
	@rm -vrf \
		"$(DESTDIR)$(BINDIR)/pass" \
		"$(DESTDIR)$(LIBDIR)/password-store/" \
		"$(DESTDIR)$(MANDIR)/man1/pass.1" \
		"$(BASHCOMP_PATH)/pass" \
		"$(ZSHCOMP_PATH)/_pass" \
		"$(FISHCOMP_PATH)/pass.fish"
	@rmdir "$(DESTDIR)$(LIBDIR)/password-store/" 2>/dev/null || true

TESTS = $(sort $(wildcard tests/t[0-9][0-9][0-9][0-9]-*.sh))

test: $(TESTS)

$(TESTS):
	@$@ $(PASS_TEST_OPTS)

clean:
	$(RM) -rf tests/test-results/ tests/trash\ directory.*/ tests/gnupg/random_seed

.PHONY: install uninstall install-common test clean $(TESTS)

=== debian/changelog ===
password-store (1.6.3-3) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Fix pass zsh completion and autoloading (closes: #775268).

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Jan 2015 11:06:17 +0000

password-store (1.6.3-2) unstable; urgency=medium

  * Simplify debian/install now that all the importers are in their own
    subdirectory.
  * Install remaining files from contrib/ as documentation or examples as
    appropriate (closes: #754075).

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Sep 2014 23:30:36 +0100

password-store (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop SHELL=/bin/bash when calling "make install", now unnecessary.
  * Bump minimum debhelper version to 8.1.0~ for debian/maintscript.
  * Update for new upstream web site.

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jul 2014 11:28:01 +0100

password-store (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 May 2014 17:31:07 +0100

password-store (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Apr 2014 14:44:36 +0100

password-store (1.5-1) unstable; urgency=medium

  * New upstream release (closes: #744723).
    - Fix typos in "pass generate" documentation (closes: #739949).
  * Go back to recommending xclip; pass now supports asking it to copy to
    the PRIMARY selection using PASSWORD_STORE_X_SELECTION=primary.
  * Use dh_python2 to stop python-support generating
    /usr/share/python-support/pass.private.

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Apr 2014 16:40:29 +0100

=== debian/control ===
Source: password-store
Maintainer: Colin Watson <cjwatson@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 8.1.0~), python (>= 2.6.6-3~), pwgen, gnupg2 | gnupg, tree (>= 1.7.0), git
Homepage: http://www.passwordstore.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/password-store.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/password-store.git

Package: pass
Architecture: all
Depends: ${misc:Depends}, pwgen, gnupg2 | gnupg, tree (>= 1.7.0)
Recommends: gnupg2, git, xclip
Suggests: ${python:Depends}, perl, libxml-simple-perl, ruby
Description: lightweight directory-based password manager
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg, pwgen, and git.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/pass PREFIX=/usr \
		ZSHCOMP_PATH=$$(pwd)/debian/pass/usr/share/zsh/vendor-completions \
		FORCE_BASHCOMP=1 FORCE_ZSHCOMP=1 \
		install

override_dh_compress:
	dh_compress -X.el

=== debian/watch ===
version=3
http://www.passwordstore.org/ .*/password-store-([\d.]+).tar.xz

## password-store 1.6.5

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 BASHCOMP_PATH ?= $(DESTDIR)$(PREFIX)/share/bash-completion/completions
 ZSHCOMP_PATH ?= $(DESTDIR)$(PREFIX)/share/zsh/site-functions
-FISHCOMP_PATH ?= $(DESTDIR)$(PREFIX)/share/fish/completions
+FISHCOMP_PATH ?= $(DESTDIR)$(PREFIX)/share/fish/vendor_completions.d
 
 ifeq ($(FORCE_ALL),1)
 FORCE_BASHCOMP := 1

=== debian/changelog ===
password-store (1.6.5-7) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Make gpg errors fatal (closes: #863404).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 May 2017 13:29:21 +0100

password-store (1.6.5-6) unstable; urgency=medium

  * Ensure that GNUPGHOME is set to a short enough path while running tests
    (closes: #862071).

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 May 2017 11:45:54 +0100

password-store (1.6.5-5) unstable; urgency=medium

  * Cherry-pick from upstream:
    - init: match only the public key (closes: #860353).

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Apr 2017 00:50:19 +0100

password-store (1.6.5-4) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Policy version 3.9.8: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jan 2017 13:07:10 +0000

password-store (1.6.5-3) unstable; urgency=medium

  * Upgrade to debhelper v9.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Jan 2016 18:30:26 +0000

password-store (1.6.5-2) unstable; urgency=medium

  * Install fish completion file (closes: #797597).

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Aug 2015 22:05:44 +0100

password-store (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Install contrib/vim/ as examples.
  * Don't install contrib/emacs/.gitignore.
  * Build-depend on dh-python.
  * Policy version 3.9.6: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Jan 2015 14:29:40 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 8.1.0~), python (>= 2.6.6-3~), pwgen, gnupg2 | gnupg, tree (>= 1.7.0), git
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), pwgen, gnupg2 | gnupg, tree (>= 1.7.0), git
 Homepage: http://www.passwordstore.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/password-store.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/password-store.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/password-store.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/password-store.git
 
 Package: pass
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2

override_dh_auto_test:
	set -e; \
	tmp="$$(mktemp -d)"; \
	code=0; \
	dh_auto_test -- PASS_TEST_OPTS="--root=$$tmp" || code="$$?"; \
	rm -rf "$$tmp"; \
	exit "$$code"

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/pass PREFIX=/usr \
		ZSHCOMP_PATH=$$(pwd)/debian/pass/usr/share/zsh/vendor-completions \
		FORCE_BASHCOMP=1 FORCE_ZSHCOMP=1 FORCE_FISHCOMP=1 \
		install

override_dh_installexamples:
	dh_installexamples -X.gitignore

override_dh_compress:
	dh_compress -X.el

## password-store 1.7.1

=== debian/changelog ===
password-store (1.7.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Jun 2017 11:43:26 +0100

password-store (1.7.1-2) experimental; urgency=medium

  * Ensure that GNUPGHOME is set to a short enough path while running tests
    (closes: #862071).

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 May 2017 11:37:28 +0100

password-store (1.7.1-1) experimental; urgency=medium

  * New upstream release.
    - Fix extraneous re-encryptions in some commands (closes: #860353).

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Apr 2017 00:53:54 +0100

password-store (1.7-1) experimental; urgency=medium

  * New upstream release.
    - Make gpg errors fatal (closes: #739780).
    - Add keepass2csv2pass.py importer (closes: #820078).
  * Use "Suggests: python, python3" rather than trying to get dh-python to
    do this, since it skips packages with private modules that don't have
    appropriate ${*:Depends} substvars in Depends.

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 Mar 2017 23:07:01 +0000

=== debian/control ===
Source: password-store
Maintainer: Colin Watson <cjwatson@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), gnupg2 | gnupg, tree (>= 1.7.0), git
Homepage: http://www.passwordstore.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/password-store.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/password-store.git

Package: pass
Architecture: all
Depends: ${misc:Depends}, gnupg2 | gnupg, tree (>= 1.7.0)
Recommends: gnupg2, git, qrencode, xclip
Suggests: python, python3, perl, libxml-simple-perl, ruby
Description: lightweight directory-based password manager
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg and git.

## password-store 1.7.3

=== debian/changelog ===
password-store (1.7.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Colin Watson ]
  * Set Rules-Requires-Root: no.
  * Update Homepage, debian/copyright Source, and debian/watch to use HTTPS.
  * Extend gnupg1-support.patch to cover fish completion.
  * Simplify dependencies, since gnupg2 is a transitional package for gnupg
    nowadays (thanks, Vincent Lefevre; closes: #921481).

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Feb 2019 15:16:15 +0000

password-store (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 Aug 2018 23:33:43 +0100

password-store (1.7.2-1) unstable; urgency=medium

  * New upstream release:
    - CVE-2018-12356: Ensure signature regexes are anchored (closes:
      #901574).

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Jun 2018 01:16:58 +0100

password-store (1.7.1-4) unstable; urgency=medium

  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:35:12 +0100

=== debian/control ===
Source: password-store
Maintainer: Colin Watson <cjwatson@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), gnupg, tree (>= 1.7.0), git
Homepage: https://www.passwordstore.org/
Vcs-Git: https://salsa.debian.org/debian/password-store.git
Vcs-Browser: https://salsa.debian.org/debian/password-store
Rules-Requires-Root: no

Package: pass
Architecture: all
Depends: ${misc:Depends}, gnupg, tree (>= 1.7.0)
Recommends: git, qrencode, xclip
Suggests: python, python3, perl, libxml-simple-perl, ruby
Description: lightweight directory-based password manager
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg and git.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with=python2
+	dh $@
 
 override_dh_auto_test:
 	set -e; \
@@ -12,8 +12,8 @@
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$$(pwd)/debian/pass PREFIX=/usr \
-		ZSHCOMP_PATH=$$(pwd)/debian/pass/usr/share/zsh/vendor-completions \
-		FORCE_BASHCOMP=1 FORCE_ZSHCOMP=1 FORCE_FISHCOMP=1 \
+		ZSHCOMPDIR=/usr/share/zsh/vendor-completions \
+		WITH_ALLCOMP=yes \
 		install
 
 override_dh_installexamples:

## password-store 1.7.4

=== debian/changelog ===
password-store (1.7.4-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Colin Watson ]
  * Apply X-Style: black.
  * Move elpa-password-store and vim-react-pass to "Section: editors".
  * Rebuild against newer dh-elpa (closes: #1077118).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Jul 2024 11:43:30 +0100

password-store (1.7.4-6) unstable; urgency=medium

  * Recommend both xclip and wl-clipboard rather than "xclip |
    wl-clipboard", since otherwise in practice wl-clipboard never got
    installed (closes: #1023331).

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 Nov 2022 11:48:00 +0000

password-store (1.7.4-5) unstable; urgency=medium

  * Simplify debian/rules using dh-sequence-{elpa,vim-addon}.
  * Cherry-pick from upstream:
    - Ensure compatibility with tree 2.0 (closes: #1005550).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Feb 2022 23:40:04 +0000

password-store (1.7.4-4) unstable; urgency=medium

  * Upgrade to debhelper v13.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 00:15:24 +0000

password-store (1.7.4-3) unstable; urgency=medium

  * No-change upload to rebuild binaries on buildds.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Oct 2021 14:07:21 +0100

password-store (1.7.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on tree.
    + pass: Drop versioned constraint on tree in Depends.

  [ Colin Watson ]
  * Remove rm_conffile maintainer script code, which was only needed for
    upgrades from before jessie.
  * Move Vim/Neovim redact_pass plugin to a separate vim-redact-pass
    package.
  * debian/copyright: contrib/emacs/* is GPL-3+.

  [ Martin ]
  * Move Emacs mode to a separate elpa-password-store package (closes:
    #991431).

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Sep 2021 02:02:35 +0100

password-store (1.7.4-1) unstable; urgency=medium

  * New upstream release:
    - Add support for wl-clipboard (closes: #958150).
  * Use debhelper-compat instead of debian/compat.

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jun 2021 11:57:38 +0100

=== debian/control ===
Source: password-store
Maintainer: Colin Watson <cjwatson@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-elpa,
 dh-sequence-vim-addon,
 git,
 gnupg,
 tree,
Homepage: https://www.passwordstore.org/
Vcs-Git: https://salsa.debian.org/debian/password-store.git
Vcs-Browser: https://salsa.debian.org/debian/password-store
Rules-Requires-Root: no
X-Style: black

Package: pass
Architecture: all
Depends:
 gnupg,
 tree,
 ${misc:Depends},
Recommends:
 git,
 qrencode,
 wl-clipboard,
 xclip,
Suggests:
 libxml-simple-perl,
 perl,
 python,
 python3,
 ruby,
Description: lightweight directory-based password manager
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg and git.

Package: elpa-password-store
Section: editors
Architecture: all
Depends:
 pass (= ${binary:Version}),
 ${elpa:Depends},
 ${misc:Depends},
Description: Emacs support for the lightweight directory-based password manager
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg and git in Emacs.

Package: vim-redact-pass
Section: editors
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
Description: stop pass(1) passwords ending up in Vim cache files
 This Vim/Neovim plugin switches off the 'viminfo', 'backup', 'writebackup',
 'swapfile', and 'undofile' options globally when editing a password in
 pass(1).  This is to prevent anyone being able to extract passwords from
 your Vim cache files in the event of a compromise.

=== debian/watch ===
version=4
https://www.passwordstore.org/ .*/password-store-([\d.]+).tar.xz
